# SignatureSpec

interface SignatureSpec

Specifies how objects will be signed.

#### Inheritors

Sign
SignOperation

## Functions

getSignatory
Link copied to clipboard
abstract fun getSignatory(): Signatory
The signatory that will be performing the signing.
getSignatureType
Link copied to clipboard
abstract fun getSignatureType(): SignatureType
The signature representation that will be created.
isRequired
Link copied to clipboard
abstract fun isRequired(): Boolean
Whether or not it is required that this signature be generated.
setRequired
Link copied to clipboard
abstract fun setRequired(required: Boolean)
Whether or not it is required that this signature be generated.
setSignatory
Link copied to clipboard
abstract fun setSignatory(signatory: Signatory)
Sets the signatory that will be signing the input.
setSignatureType
Link copied to clipboard
abstract fun setSignatureType(type: SignatureType)
Sets the signature representation that the signatures will be produced as.